Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.tools
Class SoapUITestCaseRunner

    java.lang.Object
      com.eviware.soapui.tools.AbstractSoapUIRunner
          com.eviware.soapui.tools.SoapUITestCaseRunner

All Implemented Interfaces:
  TestRunListener

    public class SoapUITestCaseRunner

extends AbstractSoapUIRunner
implements TestRunListener

Standalone test-runner used from maven-plugin, can also be used from command-line (see xdocs) or directly from other classes.

For standalone usage, set the project file (with setProjectFile) and other desired properties before calling run

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`AbstractSoapUIRunner.SoapUIOptions`

Field Summary
`static java.lang.String` | `TITLE`

Fields inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`log`

Constructor Summary
`SoapUITestCaseRunner()`
`SoapUITestCaseRunner(java.lang.String title)`

Method Summary
`void` | `afterRun(TestRunner testRunner, TestRunContext runContext)`
`void` | `afterStep(TestRunner testRunner, TestRunContext runContext, TestStepResult result)`
`void` | `beforeRun(TestRunner testRunner, TestRunContext runContext)`
`void` | `beforeStep(TestRunner testRunner, TestRunContext runContext)`
`void` | `exportJUnitReports(JUnitReportCollector collector, java.lang.String folder)`
`protected WsdlProject` | `getProject()`
`protected AbstractSoapUIRunner.SoapUIOptions` | `initCommandLineOptions()`
`static void` | `main(java.lang.String[] args)` Runs the tests in the specified soapUI project file, see soapUI xdocs for details.
`void` | `printReport(long timeTaken)`
`protected boolean` | `processCommandLine(org.apache.commons.cli.CommandLine cmd)`
`void` | `runRunner()` Runs the testcases as configured with setXXX methods
`void` | `runSuite(TestSuite suite)` Run tests in the specified TestSuite
`void` | `setDomain(java.lang.String domain)` Sets the domain to use for any authentications
`void` | `setEndpoint(java.lang.String endpoint)` Sets the endpoint to use for all test requests
`void` | `setExportAll(boolean exportAll)` Add console appender to groovy log
`void` | `setHost(java.lang.String host)` Sets the host to use by all test-requests, the existing endpoint port and path will be used
`void` | `setJUnitReport(boolean junitReport)`
`void` | `setOutputFolder(java.lang.String outputFolder)`
`void` | `setPassword(java.lang.String password)` Sets the password to use for any authentications
`void` | `setPrintReport(boolean printReport)` Controls if a short test summary should be printed after the test runs
`void` | `setTestCase(java.lang.String testCase)` Sets the testcase to run
`void` | `setTestSuite(java.lang.String testSuite)` Sets the TestSuite to run.
`void` | `setUsername(java.lang.String username)` Sets the username to use for any authentications
`void` | `setWssPasswordType(java.lang.String wssPasswordType)` Sets the WSS password-type to use for any authentications.
`protected void` | `throwFailureException()`

Methods inherited from class com.eviware.soapui.tools.AbstractSoapUIRunner
`createSoapUICore, getProjectFile, getSettingsFile, initFromCommandLine, initGroovyLog, run, runFromCommandLine, setEnableUI, setProjectFile, setSettingsFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static final java.lang.String TITLE

See Also:
  Constant Field Values

Constructor Detail

### SoapUITestCaseRunner

    public SoapUITestCaseRunner()

### SoapUITestCaseRunner

    public SoapUITestCaseRunner(java.lang.String title)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Runs the tests in the specified soapUI project file, see soapUI xdocs for details.

  Parameters:
    `args` -
  Throws:
    `java.lang.Exception`

### processCommandLine

    protected boolean processCommandLine(org.apache.commons.cli.CommandLine cmd)

  Specified by:
    `processCommandLine` in class `AbstractSoapUIRunner`

### initCommandLineOptions

    protected AbstractSoapUIRunner.SoapUIOptions initCommandLineOptions()

  Specified by:
    `initCommandLineOptions` in class `AbstractSoapUIRunner`

### setExportAll

    public void setExportAll(boolean exportAll)

  Add console appender to groovy log

### setJUnitReport

    public void setJUnitReport(boolean junitReport)

### setOutputFolder

    public void setOutputFolder(java.lang.String outputFolder)

### setPrintReport

    public void setPrintReport(boolean printReport)

  Controls if a short test summary should be printed after the test runs

  Parameters:
    `printReport` - a flag controlling if a summary should be printed

### setHost

    public void setHost(java.lang.String host)

  Sets the host to use by all test-requests, the existing endpoint port and path will be used

  Parameters:
    `host` - the host to use by all requests

### setDomain

    public void setDomain(java.lang.String domain)

  Sets the domain to use for any authentications

  Parameters:
    `domain` - the domain to use for any authentications

### setPassword

    public void setPassword(java.lang.String password)

  Sets the password to use for any authentications

  Parameters:
    `domain` - the password to use for any authentications

### setWssPasswordType

    public void setWssPasswordType(java.lang.String wssPasswordType)

  Sets the WSS password-type to use for any authentications. Setting this will result in the addition of WS-Security UsernamePassword tokens to any outgoing request containing the specified username and password.

  Parameters:
    `wssPasswordType` - the wss-password type to use, either 'Text' or 'Digest'

### setUsername

    public void setUsername(java.lang.String username)

  Sets the username to use for any authentications

  Parameters:
    `domain` - the username to use for any authentications

### runRunner

    public void runRunner()
                   throws java.lang.Exception

  Runs the testcases as configured with setXXX methods

  Specified by:
    `runRunner` in class `AbstractSoapUIRunner`
  Throws:
    `java.lang.Exception` - thrown if any tests fail

### throwFailureException

    protected void throwFailureException()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportJUnitReports

    public void exportJUnitReports(JUnitReportCollector collector,
                                   java.lang.String folder)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### printReport

    public void printReport(long timeTaken)

### runSuite

    public void runSuite(TestSuite suite)

  Run tests in the specified TestSuite

  Parameters:
    `suite` - the TestSuite to run

### setTestCase

    public void setTestCase(java.lang.String testCase)

  Sets the testcase to run

  Parameters:
    `testCase` - the testcase to run

### setEndpoint

    public void setEndpoint(java.lang.String endpoint)

  Sets the endpoint to use for all test requests

  Parameters:
    `endpoint` - the endpoint to use for all test requests

### setTestSuite

    public void setTestSuite(java.lang.String testSuite)

  Sets the TestSuite to run. If not set all TestSuites in the specified project file are run

  Parameters:
    `testSuite` - the testSuite to run.

### beforeRun

    public void beforeRun(TestRunner testRunner,
                          TestRunContext runContext)

  Specified by:
    `beforeRun` in interface `TestRunListener`

### beforeStep

    public void beforeStep(TestRunner testRunner,
                           TestRunContext runContext)

  Specified by:
    `beforeStep` in interface `TestRunListener`

### afterStep

    public void afterStep(TestRunner testRunner,
                          TestRunContext runContext,
                          TestStepResult result)

  Specified by:
    `afterStep` in interface `TestRunListener`

### afterRun

    public void afterRun(TestRunner testRunner,
                         TestRunContext runContext)

  Specified by:
    `afterRun` in interface `TestRunListener`

### getProject

    protected WsdlProject getProject()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.